class Public::OrganisateursController < ApplicationController
  
  layout :get_public_layout
  
  
  def index
    @organisateurs = Organisateur.order(:name).all
    @organisateurs_active = true
    
    
    if params[:search][:circuit_region_id].to_s != ""
      @organisateurs = @organisateurs.where(:circuit_region_id => params[:search][:circuit_region_id])
    
    end
    
    if params[:search][:name].to_s != ""
      @organisateurs = @organisateurs.where("name LIKE ? or city LIKE ? or cp LIKE ?","%#{params[:search][:name]}%","%#{params[:search][:name]}%","%#{params[:search][:name]}%")
    end
    
    
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 10
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @organisateurs = @organisateurs.page(page).per(per_page)
      
      }
    end
    
  end


  def show
    @organisateurs_active = true
    
    if @organisateur = Organisateur.where(:id => params[:id]).first
    
    elsif @organisateur = Organisateur.where(:slug => params[:id]).first
      
    else
      redirect_to public_organisateurs_path
    end
  end


end